body {
    font-family: Arial, sans-serif;
    background-color: #f8f9fa;
    margin: 0;
    padding: 0;
}

header {
    background-color: #007bff;
    color: white;
    padding: 20px 0;
    text-align: center;
    margin-bottom: 20px;
}

h1 {
    margin: 0;
}

.container {
    width: 100%;
    margin: 0 auto;
    padding: 20px;
    background-color: white;
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
}

.controls {
    display: flex;
    justify-content: space-between;
    flex-wrap: wrap;
    margin-bottom: 20px;
}

.control-button {
    background-color: #007bff;
    color: white;
    border: none;
    padding: 10px 20px;
    margin: 5px;
    cursor: pointer;
    transition: background-color 0.3s ease;
    border-radius: 5px;
    font-size: 16px;
}

.control-button:hover {
    background-color: #0056b3;
}

#monitor-section {
    margin-bottom: 20px;
    padding: 20px;
    background-color: #f1f1f1;
    border-radius: 5px;
}

#sensor-data {
    max-height: 50vh;
    height: 50vh;
    overflow-y: scroll;
    background-color: #f9f9f9;
    padding: 10px;
    border: 1px solid #ddd;
    border-radius: 5px;
}
#sensor-data p {
    margin: 0;
    padding: 5px 0;
}
.flex-container {
    display: flex;
    justify-content: space-between;
}
.flex-container .left, .flex-container .right {
    width: 48%;
}
.graph-container {
    display: flex;
    justify-content: space-around;
    flex-wrap: wrap;
    margin-bottom: 20px;
}

.graph-container div {
    flex: 1;
    min-width: 300px;
    margin: 10px;
}

canvas {
    width: 100% !important;
    height: auto !important;
}

footer {
    background-color: #007bff;
    color: white;
    text-align: center;
    padding: 10px 0;
    position: fixed;
    bottom: 0;
    width: 100%;
}